> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1panelbulk start

> Requires customers.write. Only a previewed operation may start.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml post /v1/panel/bulk/{operationID}/start
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/bulk/{operationID}/start:
    post:
      tags:
        - panel
      description: Requires customers.write. Only a previewed operation may start.
      operationId: startPanelBulkOperation
      parameters:
        - in: path
          name: operationID
          required: true
          schema:
            type: string
            format: uuid
        - $ref: '#/components/parameters/CSRFToken'
      responses:
        '200':
          description: Started
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelBulkOperation'
        '403':
          $ref: '#/components/responses/Problem'
        '409':
          $ref: '#/components/responses/Problem'
components:
  parameters:
    CSRFToken:
      in: header
      name: X-CSRF-Token
      required: true
      description: >-
        Echoes the token from the current session. Required on every unsafe
        method.
      schema:
        type: string
  schemas:
    PanelBulkOperation:
      type: object
      required:
        - id
        - kind
        - status
        - requestedBy
        - reason
        - total
        - succeeded
        - failed
        - skipped
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        kind:
          type: string
        status:
          type: string
          enum:
            - previewing
            - ready
            - running
            - completed
            - failed
            - cancelled
        requestedBy:
          type: string
          format: uuid
        reason:
          type: string
        parameters:
          type: object
          additionalProperties: true
        total:
          type: integer
        succeeded:
          type: integer
        failed:
          type: integer
        skipped:
          type: integer
        createdAt:
          type: string
          format: date-time
        completedAt:
          type: string
          format: date-time
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.